Retrieve all custom object schemas.
curl --request GET \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
--header 'Authorization: Bearer <token>'{
"results": [
{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}
]
}Schemas
Retrieve all custom object schemas.
Retrieve all custom object schemas, with options to include property definitions, association definitions, and audit metadata.
GET
/
crm-object-schemas
/
2026-03
/
schemas
Retrieve all custom object schemas.
curl --request GET \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
--header 'Authorization: Bearer <token>'{
"results": [
{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}
]
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Whether to return only results that have been archived.
Response
successful operation
Show child attributes
Show child attributes
Last modified on April 13, 2026
Was this page helpful?
⌘I